package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.GtgsBg;

import java.util.List;

/**
 * 个体工商变更Mapper接口
 * 
 * @author ruoyi
 * @date 2020-05-13
 */
public interface GtgsBgMapper 
{
    /**
     * 查询个体工商变更
     * 
     * @param id 个体工商变更ID
     * @return 个体工商变更
     */
        GtgsBg selectGtgsBgById(String id);

    /**
     * 查询个体工商变更列表
     * 
     * @param gtgsBg 个体工商变更
     * @return 个体工商变更集合
     */
    List<GtgsBg> selectGtgsBgList(GtgsBg gtgsBg);

    /**
     * 新增个体工商变更
     * 
     * @param gtgsBg 个体工商变更
     * @return 结果
     */
    int insertGtgsBg(GtgsBg gtgsBg);

    /**
     * 修改个体工商变更
     * 
     * @param gtgsBg 个体工商变更
     * @return 结果
     */
    int updateGtgsBg(GtgsBg gtgsBg);

    /**
     * 修改变更前台
     * @param gtgsBg
     * @return
     */
    int changeGtgsFlagTg(GtgsBg gtgsBg);



    /**
     * 删除个体工商变更
     * 
     * @param id 个体工商变更ID
     * @return 结果
     */
    int deleteGtgsBgById(String id);

    /**
     * 批量删除个体工商变更
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    int deleteGtgsBgByIds(String[] ids);


}
